Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: UROnode addon - an SMTP mailbox
Name: axmail
Version: 2.9
Release: alt2_11
License: GPLv2+
URL: http://axmail.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: axmail-README.fedora
Patch0: axmail-2.9-install-fix.patch
Patch1: axmail-2.8-gcc-10-fix.patch
Patch2: axmail-c99.patch
BuildRequires: gcc
# http://fedorahosted.org/fpc/ticket/447
Provides: bundled(mailx) = 5.3b
Source44: import.info

%description
axMail is an add-on to URONode or LinuxNode that provides you and your
users with the ability to send and receive SMTP-based email. It can also
be used with a HylaFax server, making it possible to send and receive faxes
using just a dumb terminal. Setup is easy and many options are available
for the SysOp.

%prep
%setup -q
%patch0 -p1 -b .install-fix
%patch1 -p1 -b .gcc-10-fix
%patch2 -p1 -b .c99

# Copy Fedora readme into place
cp -p %{SOURCE1} README.fedora

# Removing old license file, this was permitted by upstream N1URO and
# will be fixed in next upstream release. The package is now licensed
# under GPLv2+ as stated in the copying.
rm -f .COPYING

# Rename welcome.txt to axmail-welcome.txt to prevent possible future conflicts
mv -f etc/welcome.txt etc/axmail-welcome.txt

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}"

%install
make %{?_smp_mflags} DESTDIR="%{buildroot}" MAN_DIR="%{buildroot}%{_mandir}" install

# Ghosts
mkdir -p %{buildroot}%{_var}/lock
touch %{buildroot}%{_var}/lock/axmail
for rpm404_ghost in %{_var}/lock/axmail
do
    mkdir -p %buildroot`dirname "$rpm404_ghost"`
    touch %buildroot"$rpm404_ghost"
done


%files
%doc README.fedora README FAQ copying

%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/ax25/axmail.conf
%config(noreplace) %{_sysconfdir}/ax25/axmail-welcome.txt
%{_mandir}/*/*
%{_datadir}/axmail
%ghost %{_var}/lock/axmail

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_11
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_6
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_5
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.9-alt2_3
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.9-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.9-alt1_2
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 2.9-alt1_1
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 2.8-alt1_8
- new version

